<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Výpis dat z databáze s řazením</h1>
    <?php
    //připojení k MySQL
    include "spojeni.php";
    //načtení dat z tabulek
    if(isset($_GET["razeni"])){$razeni=$spojeni->real_escape_string($_GET["razeni"]);}
    else {$razeni="vyrobky.nazev";}
    $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id ORDER BY $razeni");
    $dotaz->bind_result($kategorie,$znacka,$nazev,$cena);
    $dotaz->execute();
    //echo "chyba ".$spojeni->error;
    //výpis dat do tabulky
    echo "<table>";
    echo "<tr><th><a href='vypis.php?razeni=kategorie'>Kategorie</a></th><th><a href='vypis.php?razeni=znacka'>Značka</a></th><th><a href='vypis.php?razeni=nazev'>Název</a></th><th><a href='vypis.php?razeni=cena'>Cena</a></th></tr>\n";
    while($dotaz->fetch()){
      echo "<tr><td>$kategorie</td><td>$znacka</td><td>$nazev</td><td>$cena</td></tr>\n";
    }
    echo "</table>";
    $dotaz->close();
    ?>
    </article>
  </div>
  </body>
</html>
